cURL
curl --request GET \
--url https://api.yoshi.ai/v1/investments \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
investments = client.investments.list()
print(investments.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const investments = await client.investments.list();
console.log(investments.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
investments, err := client.Investments.List(context.TODO(), yoshi.InvestmentListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", investments.Data)
}
yoshi investments list \
--api-key 'My API Key'{
"data": {
"groups": [
{
"asset_class": "<string>",
"holdings": [
{
"security_id": "<string>",
"symbol": "<string>",
"name": "<string>",
"security_type": "<string>",
"asset_class": "<string>",
"category": "<string>",
"last_price": 123,
"last_price_at": "<string>",
"day_change": 123,
"day_change_percent": 123,
"total_gain_loss": 123,
"total_gain_loss_percent": 123,
"current_value": 123,
"percent_of_account": 123,
"quantity": 123,
"average_cost_basis": 123,
"cost_basis_total": 123
}
]
}
],
"account_total": {
"current_value": 123,
"day_change": 123,
"day_change_percent": 123,
"total_gain_loss": 123,
"total_gain_loss_percent": 123,
"cost_basis_total": 123
}
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Investments
Get investment holdings
Get investment holdings grouped by asset class.
GET
/
investments
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/investments \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
investments = client.investments.list()
print(investments.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const investments = await client.investments.list();
console.log(investments.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
investments, err := client.Investments.List(context.TODO(), yoshi.InvestmentListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", investments.Data)
}
yoshi investments list \
--api-key 'My API Key'{
"data": {
"groups": [
{
"asset_class": "<string>",
"holdings": [
{
"security_id": "<string>",
"symbol": "<string>",
"name": "<string>",
"security_type": "<string>",
"asset_class": "<string>",
"category": "<string>",
"last_price": 123,
"last_price_at": "<string>",
"day_change": 123,
"day_change_percent": 123,
"total_gain_loss": 123,
"total_gain_loss_percent": 123,
"current_value": 123,
"percent_of_account": 123,
"quantity": 123,
"average_cost_basis": 123,
"cost_basis_total": 123
}
]
}
],
"account_total": {
"current_value": 123,
"day_change": 123,
"day_change_percent": 123,
"total_gain_loss": 123,
"total_gain_loss_percent": 123,
"cost_basis_total": 123
}
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Query Parameters
Filter by asset class
Available options:
symbol, last_price, day_change, total_gain_loss, current_value, quantity, cost_basis_total Available options:
asc, desc Response
200 - application/json
Investment holdings retrieved.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on June 18, 2026
Was this page helpful?